Name | Type | Default |
contextMenu
|
Boolean
|
false
|
Sets or gets wheter a custom context menu will appear when certain elements of the widget are right-clicked.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout" :contextMenu="true"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the contextMenu property. let contextMenu = this.$refs.myDockingLayout.contextMenu;
|
height
|
Number | String
|
null
|
Sets or gets the docking layout's height.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the height property. let height = this.$refs.myDockingLayout.height;
|
layout
|
Array
|
[]
|
Sets or gets the layout. This property determines the position of the docking layout elements and their characteristics. The first member of the layout array should always be an item of type 'layoutGroup'.
Each object in the layout array can have the following properties, with some restrictions based on the type :
- type. Possible values:
- 'layoutGroup' - container for other groups. It has no visual features. The root item is always of this type.
- 'tabbedGroup' - a group that contains layoutPanels. It is represented by a jqxWindow-like panel with a bottom-aligned jqxRibbon inside.
- 'documentGroup' - a group that contains documentPanels. It is represented by a top-aligned jqxRibbon.
- 'autoHideGroup' - a group that contains layoutPanels. It is represented by a jqxRibbon with
mode: 'popup' . Each ribbon item has a jqxWindow-like panel in its content. This group has to be either the first or the last child item of its parent layoutGroup.
- 'layoutPanel' - a panel that can be inserted in a tabbedGroup or autoHideGroup. When it is in a tabbedGroup it is represented by a ribbon item and in an autoHideGroup - by a jqxWindow-like panel inside a ribbon item.
- 'documentPanel' - a panel that can be inserted in a documentGroup. It is represented by a ribbon item.
- 'floatGroup' - a floating group that can contain a tabbedGroup or a layoutPanel. It is represented by a jqxWindow. Initial floatGroups have to be defined after the root layoutGroup in the layout array.
- alignment - sets the alignment of an autoHideGroup. Possible values:
- 'left'
- 'right'
- 'top'
- 'bottom'
- allowClose - applicable to tabbedGroups, floatGroups, layoutPanels and documentPanels. If set to false, the group/panel cannot be closed.
- allowPin - applicable only to tabbedGroups. If set to false, the group cannot be pinned.
- allowUnpin - applicable only to autoHideGroups. If set to false, the group cannot be unpinned.
- contentContainer - indicates which HTML element has the content of the panel. The required value is the value of an existing HTML element's data-container attribute. N/A to groups.
- height - sets the height of a group (N/A to panels). Used only if the parent group's orientation is 'vertical' or for floatGroups. The heights of all such groups have to be set either in pixels or percents (not a mix of both).
- initContent - a callback function to be called when a panel is opened for the first time. Useful for initializing widgets in panels. N/A to groups.
- minHeight - sets the minimumn height (in pixels) of a group which is vertically aligned within its parent group. Disregards the value of the minGroupHeight property.
- minWidth - sets the minimumn width (in pixels) of a group which is horizontally aligned within its parent group. Disregards the value of the minGroupWidth property.
- orientation - orients child items either horizontally or vertically. Applicable only to layoutGroups. Possible values:
- pinnedHeight - sets what the height of a tabbedGroup will be after it is pinned.
- pinnedWidth - sets what the width of a tabbedGroup will be after it is pinned.
- position - sets the initial position of a floatGroup. The position property is an object with the following properties:
- selected - sets whether a panel is initially selected. N/A to groups.
- title - sets the title of a panel. Represented by the corresponding ribbon item's title. N/A to groups.
- unpinnedHeight - sets what the height of an autoHideGroup will be after it is unpinned.
- unpinnedWidth - sets what the width of an autoHideGroup will be after it is unpinned.
- width - sets the width of a group (N/A to panels). Used only if the parent group's orientation is 'horizontal' or for floatGroups. The widths of all such groups have to be set either in pixels or percents (not a mix of both).
- items - an array of item objects with the fields described above. N/A to panels.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the layout property. let layout = this.$refs.myDockingLayout.layout;
|
minGroupHeight
|
Number
|
100
|
Sets the default minimumn height for groups which are vertically aligned within their parent group.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout" :minGroupHeight="200"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the minGroupHeight property. let minGroupHeight = this.$refs.myDockingLayout.minGroupHeight;
|
minGroupWidth
|
Number
|
100
|
Sets the default minimumn width for groups which are horizontally aligned within their parent group.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout" :minGroupWidth="150"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the minGroupWidth property. let minGroupWidth = this.$refs.myDockingLayout.minGroupWidth;
|
resizable
|
Boolean
|
true
|
Sets or gets wheter panels can be dynamically resized.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout" :resizable="false"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the resizable property. let resizable = this.$refs.myDockingLayout.resizable;
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout" :rtl="true"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the rtl property. let rtl = this.$refs.myDockingLayout.rtl;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout" :theme="'material'"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
width
|
Number | String
|
null
|
Sets or gets the docking layout's width.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
Get the width property. let width = this.$refs.myDockingLayout.width;
|
|
dock
|
Event
|
|
This event is triggered when a floatGroup has been docked.
Code examples
Bind to the dock event of jqxDockingLayout.
<template> <JqxDockingLayout ref="myDockingLayout" @dock="onDock($event)" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, methods: { onDock: function (event) { alert( 'do something...');
|
floatGroupClosed
|
Event
|
|
This event is triggered when a floatGroup has been closed.
Code examples
Bind to the floatGroupClosed event of jqxDockingLayout.
<template> <JqxDockingLayout ref="myDockingLayout" @floatGroupClosed="onFloatGroupClosed($event)" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, methods: { onFloatGroupClosed: function (event) { alert( 'do something...');
|
float
|
Event
|
|
This event is triggered when a group or panel has been floated.
Code examples
Bind to the float event of jqxDockingLayout.
<template> <JqxDockingLayout ref="myDockingLayout" @float="onFloat($event)" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, methods: { onFloat: function (event) { alert( 'do something...');
|
pin
|
Event
|
|
This event is triggered when a group has been pinned.
Code examples
Bind to the pin event of jqxDockingLayout.
<template> <JqxDockingLayout ref="myDockingLayout" @pin="onPin($event)" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, methods: { onPin: function (event) { alert( 'do something...');
|
resize
|
Event
|
|
This event is triggered when a group has been resized (when the group has been resized with the mouse or when an adjacent group has been pinned, unpinned or closed).
Code examples
Bind to the resize event of jqxDockingLayout.
<template> <JqxDockingLayout ref="myDockingLayout" @resize="onResize($event)" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, methods: { onResize: function (event) { alert( 'do something...');
|
unpin
|
Event
|
|
This event is triggered when a group has been unpinned.
Code examples
Bind to the unpin event of jqxDockingLayout.
<template> <JqxDockingLayout ref="myDockingLayout" @unpin="onUnpin($event)" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, methods: { onUnpin: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addFloatGroup
|
width, height, position, panelType, title, content, initContent
|
None
|
Adds a new floatGroup.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, mounted: function () { this.$refs.myDockingLayout.addFloatGroup(200,200,{x:10, y:10}, 'layoutPanel','Title','Content');
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, mounted: function () { this.$refs.myDockingLayout.destroy();
|
loadLayout
|
layout
|
None
|
Loads a previously saved layout.
<template> <div> <JqxButton @click="onSave($event)" :width="110" :height="18">Save layout</JqxButton> <JqxButton @click="onLoad($event)" :width="110" :height="18">Load layout</JqxButton> <br/> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> </div></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxDockingLayout, JqxButton }, data: function () { return { savedLayout: null, layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, methods: { onSave() { this.savedLayout = this.$refs.myDockingLayout.saveLayout(); }, onLoad() { this.$refs.myDockingLayout.loadLayout(this.savedLayout);
|
refresh
|
None
|
None
|
Refreshes the widget.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, mounted: function () { this.$refs.myDockingLayout.refresh();
|
render
|
None
|
None
|
Renders the widget.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, mounted: function () { this.$refs.myDockingLayout.render();
|
saveLayout
|
None
|
Object
|
Saves the current layout of the widget. The object returned by this method can be passed to the method loadLayout.
<template> <JqxDockingLayout ref="myDockingLayout" :width="850" :height="600" :layout="layout"> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout></template> <script> import JqxDockingLayout from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdockinglayout.vue'; export default { components: { JqxDockingLayout }, data: function () { return { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } }, mounted: function () { const value = this.$refs.myDockingLayout.saveLayout();
|

Name | Type | Default |
contextMenu
|
boolean
|
false
|
Sets or gets wheter a custom context menu will appear when certain elements of the widget are right-clicked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout} contextMenu={true}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the docking layout's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
layout
|
Array<DockingLayoutLayout>
|
[]
|
DockingLayoutLayoutType: "layoutGroup" | "tabbedGroup" | "documentGroup" | "autoHideGroup" | "layoutPanel" | "documentPanel" | "floatGroup"
DockingLayoutLayoutAlignment: "left" | "right" | "top" | "bottom"
DockingLayoutLayoutOrientation: "horizontal" | "vertical"
Interface DockingLayoutLayout { type?: DockingLayoutLayoutType; alignment?: DockingLayoutLayoutAlignment; allowClose?: boolean; allowPin?: boolean; allowUnpin?: boolean; contentContainer?: string; height?: number | string; initContent?: () => void; minHeight?: number | string; minWidth?: number | string; orientation?: DockingLayoutLayoutOrientation; pinnedHeight?: number | string; pinnedWidth?: number | string; position?: DockingLayoutLayoutPosition; selected?: boolean; title?: string; unpinnedHeight?: number | string; unpinnedWidth?: number | string; width?: number | string; items?: Array<DockingLayoutLayout>; }
Interface DockingLayoutLayoutPosition { x?: number; y?: number; }
Sets or gets the layout. This property determines the position of the docking layout elements and their characteristics. The first member of the layout array should always be an item of type 'layoutGroup'.
Each object in the layout array can have the following properties, with some restrictions based on the type :
- type. Possible values:
- 'layoutGroup' - container for other groups. It has no visual features. The root item is always of this type.
- 'tabbedGroup' - a group that contains layoutPanels. It is represented by a jqxWindow-like panel with a bottom-aligned jqxRibbon inside.
- 'documentGroup' - a group that contains documentPanels. It is represented by a top-aligned jqxRibbon.
- 'autoHideGroup' - a group that contains layoutPanels. It is represented by a jqxRibbon with
mode: 'popup' . Each ribbon item has a jqxWindow-like panel in its content. This group has to be either the first or the last child item of its parent layoutGroup.
- 'layoutPanel' - a panel that can be inserted in a tabbedGroup or autoHideGroup. When it is in a tabbedGroup it is represented by a ribbon item and in an autoHideGroup - by a jqxWindow-like panel inside a ribbon item.
- 'documentPanel' - a panel that can be inserted in a documentGroup. It is represented by a ribbon item.
- 'floatGroup' - a floating group that can contain a tabbedGroup or a layoutPanel. It is represented by a jqxWindow. Initial floatGroups have to be defined after the root layoutGroup in the layout array.
- alignment - sets the alignment of an autoHideGroup. Possible values:
- 'left'
- 'right'
- 'top'
- 'bottom'
- allowClose - applicable to tabbedGroups, floatGroups, layoutPanels and documentPanels. If set to false, the group/panel cannot be closed.
- allowPin - applicable only to tabbedGroups. If set to false, the group cannot be pinned.
- allowUnpin - applicable only to autoHideGroups. If set to false, the group cannot be unpinned.
- contentContainer - indicates which HTML element has the content of the panel. The required value is the value of an existing HTML element's data-container attribute. N/A to groups.
- height - sets the height of a group (N/A to panels). Used only if the parent group's orientation is 'vertical' or for floatGroups. The heights of all such groups have to be set either in pixels or percents (not a mix of both).
- initContent - a callback function to be called when a panel is opened for the first time. Useful for initializing widgets in panels. N/A to groups.
- minHeight - sets the minimumn height (in pixels) of a group which is vertically aligned within its parent group. Disregards the value of the minGroupHeight property.
- minWidth - sets the minimumn width (in pixels) of a group which is horizontally aligned within its parent group. Disregards the value of the minGroupWidth property.
- orientation - orients child items either horizontally or vertically. Applicable only to layoutGroups. Possible values:
- pinnedHeight - sets what the height of a tabbedGroup will be after it is pinned.
- pinnedWidth - sets what the width of a tabbedGroup will be after it is pinned.
- position - sets the initial position of a floatGroup. The position property is an object with the following properties:
- selected - sets whether a panel is initially selected. N/A to groups.
- title - sets the title of a panel. Represented by the corresponding ribbon item's title. N/A to groups.
- unpinnedHeight - sets what the height of an autoHideGroup will be after it is unpinned.
- unpinnedWidth - sets what the width of an autoHideGroup will be after it is unpinned.
- width - sets the width of a group (N/A to panels). Used only if the parent group's orientation is 'horizontal' or for floatGroups. The widths of all such groups have to be set either in pixels or percents (not a mix of both).
- items - an array of item objects with the fields described above. N/A to panels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minGroupHeight
|
number | string
|
100
|
Sets the default minimumn height for groups which are vertically aligned within their parent group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout} minGroupHeight={200}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minGroupWidth
|
number | string
|
100
|
Sets the default minimumn width for groups which are horizontally aligned within their parent group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout} minGroupWidth={150}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resizable
|
boolean
|
true
|
Sets or gets wheter panels can be dynamically resized.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout} resizable={false}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout} rtl={true}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout} theme={ 'material'}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the docking layout's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
dock
|
Event
|
|
This event is triggered when a floatGroup has been docked.
Code examples
Bind to the dock event of jqxDockingLayout.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} onDock={this.onDock} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } private onDock(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
floatGroupClosed
|
Event
|
|
This event is triggered when a floatGroup has been closed.
Code examples
Bind to the floatGroupClosed event of jqxDockingLayout.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} onFloatGroupClosed={this.onFloatGroupClosed} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } private onFloatGroupClosed(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
float
|
Event
|
|
This event is triggered when a group or panel has been floated.
Code examples
Bind to the float event of jqxDockingLayout.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} onFloat={this.onFloat} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } private onFloat(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
pin
|
Event
|
|
This event is triggered when a group has been pinned.
Code examples
Bind to the pin event of jqxDockingLayout.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} onPin={this.onPin} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } private onPin(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resize
|
Event
|
|
This event is triggered when a group has been resized (when the group has been resized with the mouse or when an adjacent group has been pinned, unpinned or closed).
Code examples
Bind to the resize event of jqxDockingLayout.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} onResize={this.onResize} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } private onResize(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unpin
|
Event
|
|
This event is triggered when a group has been unpinned.
Code examples
Bind to the unpin event of jqxDockingLayout.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} onUnpin={this.onUnpin} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } private onUnpin(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addFloatGroup
|
width, height, position, panelType, title, content, initContent
|
|
Adds a new floatGroup.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public componentDidMount(): void { this.myDockingLayout.current!.addFloatGroup(200,200,{x:10, y:10}, 'layoutPanel','Title','Content'); } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public componentDidMount(): void { this.myDockingLayout.current!.destroy(); } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
loadLayout
|
layout
|
|
Loads a previously saved layout.
|
refresh
|
None
|
|
Refreshes the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public componentDidMount(): void { this.myDockingLayout.current!.refresh(); } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public componentDidMount(): void { this.myDockingLayout.current!.render(); } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
saveLayout
|
None
|
|
Saves the current layout of the widget. The object returned by this method can be passed to the method loadLayout.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDockingLayout, { IDockingLayoutProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdockinglayout'; class App extends React.PureComponent<{}, IDockingLayoutProps> { private myDockingLayout = React.createRef<JqxDockingLayout>(); constructor(props: {}) { super(props); this.state = { layout: [ { type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel' }] }] } ] } } public componentDidMount(): void { this.myDockingLayout.current!.saveLayout(); } public render() { return ( <JqxDockingLayout ref={this.myDockingLayout} width={850} height={600} layout={this.state.layout}> <div data-container='Document1Panel'> Document 1 Content </div> <div data-container='Document2Panel'> Document 2 Content </div> <div data-container='ErrorListPanel'> List of Errors </div> <div data-container='OutputPanel'> Output </div> <div data-container='SolutionExplorerPanel'> Solution Structure </div> <div data-container='PropertiesPanel'> List of properties </div> </JqxDockingLayout> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
contextMenu
|
Boolean
|
false
|
Sets or gets the contextMenu property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600" [contextMenu]="true"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
height
|
Size
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
layout
|
Array<DockingLayoutLayout>
|
[]
|
interface DockingLayoutLayout { type: DockingLayoutLayoutType; alignment?: DockingLayoutLayoutAlignment; allowClose?: Boolean; allowPin?: Boolean; allowUnpin?: Boolean; contentContainer?: String; height?: Size; initContent?: () => Void; minHeight?: Size; minWidth?: Size; orientation?: DockingLayoutLayoutOrientation; pinnedHeight?: Size; pinnedWidth?: Size; position?: DockingLayoutLayoutPosition; selected?: Boolean; title?: String; unpinnedHeight?: Size; unpinnedWidth?: Size; width?: Size; items?: Array<DockingLayoutLayout>; } enum DockingLayoutLayoutType { layoutGroup, tabbedGroup, documentGroup, autoHideGroup, layoutPanel, documentPanel, floatGroup } interface DockingLayoutLayoutPosition { x: Number; y: Number; } enum DockingLayoutLayoutAlignment { left, right, top, bottom } interface DockingLayoutLayout { type: DockingLayoutLayoutType; alignment?: DockingLayoutLayoutAlignment; allowClose?: Boolean; allowPin?: Boolean; allowUnpin?: Boolean; contentContainer?: String; height?: Size; initContent?: () => Void; minHeight?: Size; minWidth?: Size; orientation?: DockingLayoutLayoutOrientation; pinnedHeight?: Size; pinnedWidth?: Size; position?: DockingLayoutLayoutPosition; selected?: Boolean; title?: String; unpinnedHeight?: Size; unpinnedWidth?: Size; width?: Size; items?: Array<DockingLayoutLayout>; } enum DockingLayoutLayoutOrientation { horizontal, vertical } Sets or gets the layout property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600" [layout]="layout"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
minGroupHeight
|
Size
|
100
|
Sets or gets the minGroupHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600" [minGroupHeight]="200"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
minGroupWidth
|
Size
|
100
|
Sets or gets the minGroupWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600" [minGroupWidth]="150"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
resizable
|
Boolean
|
true
|
Sets or gets the resizable property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600" [resizable]="false"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600" [rtl]="true"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600" [theme]="'energyblue'"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
|
create
|
Event
|
|
This event is triggered when the widget is created.
Note: The create event binding has to be made before the jqxDockingLayout's initialization.
Code examples
Bind to the create event of jqxDockingLayout.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout (onCreate)="Create($event)" [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { Create(event: any): void { // Do Something } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
dock
|
Event
|
|
This event is triggered when a floatGroup has been docked.
Code examples
Bind to the dock event of jqxDockingLayout.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout (onDock)="Dock($event)" [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { Dock(event: any): void { // Do Something } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
floatGroupClosed
|
Event
|
|
This event is triggered when a floatGroup has been closed.
Code examples
Bind to the floatGroupClosed event of jqxDockingLayout.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout (onFloatGroupClosed)="FloatGroupClosed($event)" [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { FloatGroupClosed(event: any): void { // Do Something } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
float
|
Event
|
|
This event is triggered when a group or panel has been floated.
Code examples
Bind to the float event of jqxDockingLayout.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout (onFloat)="Float($event)" [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { Float(event: any): void { // Do Something } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
pin
|
Event
|
|
This event is triggered when a group has been pinned.
Code examples
Bind to the pin event of jqxDockingLayout.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout (onPin)="Pin($event)" [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { Pin(event: any): void { // Do Something } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
resize
|
Event
|
|
This event is triggered when a group has been resized (when the group has been resized with the mouse or when an adjacent group has been pinned, unpinned or closed).
Code examples
Bind to the resize event of jqxDockingLayout.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout (onResize)="Resize($event)" [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { Resize(event: any): void { // Do Something } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
unpin
|
Event
|
|
This event is triggered when a group has been unpinned.
Code examples
Bind to the unpin event of jqxDockingLayout.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout (onUnpin)="Unpin($event)" [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent { Unpin(event: any): void { // Do Something } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
|
Name | Return Type | Arguments |
addFloatGroup
|
Void
|
width: Size, height: Size, position: DockingLayoutLayoutPosition, panelType: String, title: String, content: String, initContent: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDockingLayout') myDockingLayout: jqxDockingLayoutComponent; ngAfterViewInit(): void { this.myDockingLayout.addFloatGroup(200,200,{x:10, y:10}, 'layoutPanel','Title','Content'); } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDockingLayout') myDockingLayout: jqxDockingLayoutComponent; ngAfterViewInit(): void { this.myDockingLayout.destroy(); } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
loadLayout
|
Void
|
layout: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDockingLayout') myDockingLayout: jqxDockingLayoutComponent; ngAfterViewInit(): void { this.myDockingLayout.loadLayout(layout); } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDockingLayout') myDockingLayout: jqxDockingLayoutComponent; ngAfterViewInit(): void { this.myDockingLayout.refresh(); } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDockingLayout') myDockingLayout: jqxDockingLayoutComponent; ngAfterViewInit(): void { this.myDockingLayout.render(); } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|
saveLayout
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDockingLayout #myDockingLayout [layout]="layout" [width]="850" [height]="600"> <div data-container="Document1Panel"> Document 1 content </div> <div data-container="Document2Panel"> Document 2 content </div> <div data-container="ErrorListPanel"> List of errors </div> <div data-container="OutputPanel"> Output </div> <div data-container="SolutionExplorerPanel"> Solution structure </div> <div data-container="PropertiesPanel"> List of properties </div> </jqxDockingLayout> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDockingLayout') myDockingLayout: jqxDockingLayoutComponent; ngAfterViewInit(): void { let value = this.myDockingLayout.saveLayout(); } layout: any[] = this.generateLayout(); generateLayout(): any[] { let layout = [{ type: 'layoutGroup', orientation: 'horizontal', items: [{ type: 'layoutGroup', orientation: 'vertical', width: '60%', items: [{ type: 'documentGroup', height: '50%', minHeight: '25%', items: [{ type: 'documentPanel', title: 'Document 1', contentContainer: 'Document1Panel' }, { type: 'documentPanel', title: 'Document 2', contentContainer: 'Document2Panel' }] }, { type: 'tabbedGroup', height: '50%', pinnedHeight: '10%', items: [{ type: 'layoutPanel', title: 'Error List', contentContainer: 'ErrorListPanel' }, { type: 'layoutPanel', title: 'Output', contentContainer: 'OutputPanel', selected: true }] }] }, { type: 'tabbedGroup', width: '40%', items: [{ type: 'layoutPanel', title: 'Solution Explorer', contentContainer: 'SolutionExplorerPanel' }, { type: 'layoutPanel', title: 'Properties', contentContainer: 'PropertiesPanel'
|